org.wildfly.swarm.container

## Class DeploymentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.wildfly.swarm.container.DeploymentException

- All Implemented Interfaces:
    Serializable

      public class DeploymentException
      extends RuntimeException

  Thrown in the case an error occurs when deploying.
  Author:
    Bob McWhirter
  See Also:
    `Swarm.deploy()`, `org.wildfly.swarm.Swarm#deploy(Archive)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeploymentException(<any> archive, String message)`
    `DeploymentException(<any> archive, Throwable rootCause)`
    `DeploymentException(String message)`
    `DeploymentException(String message, Throwable cause, <any> archive)`
    `DeploymentException(Throwable rootCause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<any>` | `getArchive()` Retrieve the archive which caused the deployment error.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DeploymentException

          public DeploymentException(String message)

    - #### DeploymentException

          public DeploymentException(Throwable rootCause)

    - #### DeploymentException

          public DeploymentException(<any> archive,
                                     Throwable rootCause)

    - #### DeploymentException

          public DeploymentException(<any> archive,
                                     String message)

    - #### DeploymentException

          public DeploymentException(String message,
                                     Throwable cause,
                                     <any> archive)

  - ### Method Detail

    - #### getArchive

          public <any> getArchive()

      Retrieve the archive which caused the deployment error.
      Returns:
        The archive in error.

Copyright © 2017 JBoss by Red Hat. All rights reserved.